#import "ArrayEx.h"

//ArrayExの実装
@implementation ArrayEx

//初期化
- (id)initWithFrame:(CGRect)frame {
    self=[super initWithFrame:frame];
    if (self) {
        self.backgroundColor=[UIColor whiteColor];
    }
    return self;
}

//描画
- (void)drawRect:(CGRect)rect {
    [[UIColor blackColor] set];
    UIFont* font=[UIFont systemFontOfSize:24];

    //配列の生成
    NSString* name[3];
    name[0]=@"iPhone3GS";
    name[1]=@"iPhone4";
    name[2]=@"iPhone4S";

    //配列の表示
    for (int i=0;i<3;i++) {
        [name[i] drawAtPoint:CGPointMake(0,i*26) withFont:font];
    }
    
    //NSMutableArrayオブジェクトの生成
    NSMutableArray* array=[NSMutableArray array];
    [array addObject:@"iPod touch 2"];
    [array addObject:@"iPod touch 3"];
    [array addObject:@"iPod touch 4"];

    //NSMutableArrayオブジェクト表示
    for (int i=0;i<array.count;i++) {
        NSString* text=[array objectAtIndex:i];
        [text drawAtPoint:CGPointMake(0,(4+i)*26) withFont:font];
    }
    
    //NSMutableDictionaryオブジェクトの生成
    NSMutableDictionary* dic=[NSMutableDictionary dictionary];
    [dic setObject:@"iPhone OS 3.0" forKey:@"iPhone3GS"];
    [dic setObject:@"iOS 4.0"       forKey:@"iPhone4"];
    [dic setObject:@"iOS 5.0"       forKey:@"iPhone4S"];

    //NSMutableDictionaryオブジェクトの表示
    NSString* text=[dic objectForKey:@"iPhone4S"];
    [text drawAtPoint:CGPointMake(0,8*26) withFont:font];
}
@end
