#import "ClassEx.h"
#import "Device.h"

//ClassExの実装
@implementation ClassEx

//初期化
- (id)initWithFrame:(CGRect)frame {
    self=[super initWithFrame:frame];
    if (self) {
        self.backgroundColor=[UIColor whiteColor];
    }
    return self;
}

//メモリ解放
- (void)dealloc {
    [super dealloc];
}

//描画
- (void)drawRect:(CGRect)rect {
    [[UIColor blackColor] set];
    UIFont* font=[UIFont systemFontOfSize:24];
    NSString* text;

    //オブジェクトの生成
    Device* device=[[[Device alloc] init] autorelease];

    //名前と年齢を指定
    device.name   =@"iPhone";
    device.version=5;
    
    //挨拶の表示
    text=[device info];
    [text drawAtPoint:CGPointMake(0,0) withFont:font];
}
@end
