#import "AppDelegate.h"
#import "VarEx.h"

//AppDelegateの実装
@implementation AppDelegate 

//プロパティの実装
@synthesize window=_window;

//アプリ起動時に呼ばれる
- (BOOL)application:(UIApplication*)application 
    didFinishLaunchingWithOptions:(NSDictionary*)launchOptions {
    //ウィンドウの生成と追加
    _window=[[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
    _window.backgroundColor=[UIColor whiteColor];
    [_window makeKeyAndVisible];
    
    //ビューの生成と追加
    CGRect bounds=[[UIScreen mainScreen] bounds];
    bounds.origin.y+=20;
    bounds.size.height-=20;
    UIView* view=[[[VarEx alloc] initWithFrame:bounds] autorelease]; 
    [_window addSubview:view];
    return YES;
}

//メモリの解放
- (void)dealloc {
    [_window release];
    [super dealloc];
}
@end
