#import "ImageEx.h"

//ImageExの実装
@implementation ImageEx

//初期化
- (id)initWithFrame:(CGRect)frame {
    self=[super initWithFrame:frame];
    if (self) {
        self.backgroundColor=[UIColor whiteColor];

        //画像ファイルの読み込み(1)
        _image=[[UIImage imageNamed:@"sample.png"] retain];
    }
    return self;
}

//描画
- (void)drawRect:(CGRect)rect {
    //イメージの描画(2)
    [_image drawAtPoint:CGPointMake(0,0)];

    //イメージの拡大縮小描画(3)
    [_image drawInRect:CGRectMake(0,160,
        _image.size.width*2,_image.size.height*2)];
}

//メモリの解放
- (void)dealloc {
    //イメージの解放(4)
    [_image release];
    
    //メモリの解放
    [super dealloc];
}
@end