#import "AppDelegate.h"
#import "NavigationEx.h"

//AppDelegateの実装
@implementation AppDelegate 

//プロパティの実装
@synthesize window=_window;

//アプリ起動時に呼ばれる
- (BOOL)application:(UIApplication*)application 
    didFinishLaunchingWithOptions:(NSDictionary*)launchOptions {
    //ウィンドウの生成と追加
    _window=[[UIWindow alloc] initWithFrame:[[UIScreen mainScreen] bounds]];
    _window.backgroundColor=[UIColor whiteColor];
    [_window makeKeyAndVisible];
    
    //ビューコントローラの生成
    CGRect bounds=[[UIScreen mainScreen] bounds];
    bounds.origin.y+=20;
    bounds.size.height-=20;
    UIViewController* viewCtl=[[[NavigationEx alloc] init] autorelease];
    [viewCtl.view setFrame:bounds];
    
    //ナビゲーションコントローラの生成と追加
    _navCtl=[[UINavigationController alloc] init];
    [_navCtl pushViewController:viewCtl animated:NO];
    [_window addSubview:_navCtl.view];
    return YES;
}

//メモリの解放
- (void)dealloc {
    [_window release];
    [_navCtl release];
    [super dealloc];
}
@end
