#import <UIKit/UIKit.h>
#import "Graphics.h"

//シーン定数(1)
#define S_TITLE    0 //タイトル
#define S_PLAY     1 //プレイ
#define S_GAMEOVER 2 //ゲームオーバー

//キー定数
#define KEY_NONE   -1
#define KEY_SELECT 6

//ActionViewの宣言
@interface ActionView : UIView {
    //サイズ定数
    int WIDTH;  //幅
    int HEIGHT; //高さ
    int SCALE;  //スケール
    
    //システム
    int             _init;     //初期化(1)
    int             _scene;    //シーン(1)
    int             _key;      //キー
    BOOL            _touchDown;//タッチダウン
    int             _tick;     //時間経過
    Graphics*       _g;        //グラフィックス
    NSMutableArray* _bmp;      //ビットマップ
    NSString*       _message;  //メッセージ
    int             _score;    //スコア
    
    //プレイヤー(3)
    int  _playerY; //Y座標
    int  _jumpPow; //ジャンプ力
    BOOL _jumpAble;//ジャンプ可
    
    //地面(2)
    int _mapDX;   //X相対位置
    int _mapH[12];//高さ
    
    
}
@end